org.apache.fop.fo.properties

## Class TableColLength

- java.lang.Object
- - org.apache.fop.fo.properties.Property
  - - org.apache.fop.fo.properties.LengthProperty
    - - org.apache.fop.fo.properties.TableColLength

All Implemented Interfaces:
  Length, Numeric

    public class TableColLength
    extends LengthProperty

A table-column width specification, possibly including some number of proportional "column-units". The absolute size of a column-unit depends on the fixed and proportional sizes of all columns in the table, and on the overall size of the table. It can't be calculated until all columns have been specified and until the actual width of the table is known. Since this can be specified as a percent of its parent containing width, the calculation is done during layout. NOTE: this is only supposed to be allowed if table-layout=fixed.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.fo.properties.LengthProperty

`LengthProperty.Maker`

### Field Summary

### Fields inherited from class org.apache.fop.fo.properties.Property

`log`

### Constructor Summary

Constructors
Constructor and Description
`TableColLength(double tcolUnits, FObj column)` Construct an object with tcolUnits of proportional measure.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`double` `getNumericValue()` Return the value as a numeric value.
`double` `getNumericValue(PercentBaseContext context)` Return the value of this Numeric
`double` `getTableUnits()` Override the method in Length
`int` `getValue()` Return the value as a length.
`int` `getValue(PercentBaseContext context)` Returns the length in 1/1000ths of a point (millipoints)
`int` `hashCode()`
`boolean` `isAbsolute()` Return false because table-col-units are a relative numeric.
`String` `toString()` Convert this to a String

### Methods inherited from class org.apache.fop.fo.properties.LengthProperty

`getDimension, getLength, getNumeric, getObject`

### Methods inherited from class org.apache.fop.fo.properties.Property

`getCharacter, getColor, getCondLength, getEnum, getKeep, getLengthPair, getLengthRange, getList, getNCname, getNumber, getSpace, getSpecifiedValue, getString, isAuto, setSpecifiedValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.fop.datatypes.Numeric

`getEnum`

### Constructor Detail

#### TableColLength

    public TableColLength(double tcolUnits,
                          FObj column)

Construct an object with tcolUnits of proportional measure.

Parameters:
  `tcolUnits` - number of table-column proportional units
  `column` - the column the column-units are defined on

### Method Detail

#### getTableUnits

    public double getTableUnits()

Override the method in Length

Returns:
  the number of specified proportional table-column units.

#### isAbsolute

    public boolean isAbsolute()

Return false because table-col-units are a relative numeric. Return true if the numeric is an absolute value. Relative values are percentages and table-column-units. All other numerics are absolute.

Returns:
  true when the numeric is absolute.

#### getNumericValue

    public double getNumericValue()

Return the value as a numeric value. Return the value of this Numeric

Returns:
  the computed value.

#### getNumericValue

    public double getNumericValue(PercentBaseContext context)

Return the value of this Numeric

Parameters:
  `context` - The context for the length calculation (for percentage based lengths)
Returns:
  the computed value.

#### getValue

    public int getValue()

Return the value as a length. Returns the length in 1/1000ths of a point (millipoints)

Returns:
  the length in millipoints

#### getValue

    public int getValue(PercentBaseContext context)

Returns the length in 1/1000ths of a point (millipoints)

Parameters:
  `context` - The context for the length calculation (for percentage based lengths)
Returns:
  the length in millipoints

#### toString

    public String toString()

Convert this to a String

Overrides:
  `toString` in class `Property`
Returns:
  the string representation of this

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`